Bug 105787 - dhcp fails on 'network restart' with b44 driver
dhcp fails on 'network restart' with b44 driver
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-09-27 11:21 EDT by Noa Resare
Modified: 2015-01-04 17:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-07 03:24:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noa Resare 2003-09-27 11:21:18 EDT
Description of problem:

fetching ip settings for my bcm4401 network card over dhcp fails with a timeout
when I run /sbin/service network restart

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2061.nptl

How reproducible:
always

Steps to Reproduce:
1. have the host on a network with a dhcp server
2. start the network on boot or start it manually with /sbin/ifup ethX
3. run /sbin/service network restart
 
    
Actual results:
after a couple of minute the dhcp request times out, with some ping statistics
showing 100% packet loss to the default gateway.

Expected results:
Successful interface restart

Additional info:
You can easily work around the problem by running

/sbin/service network stop
/sbin/rmmod b44
/sbin/service network start

instead
Comment 1 Dave Jones 2003-09-29 21:23:29 EDT
I just checked in a fix to this driver, which should fix this (and other
similar) problems. Look out for 2080 or above when that appears.
Comment 2 Noa Resare 2003-10-07 03:24:00 EDT
I have verified this probelem as fixed in kernel-2.4.22-1.2087.nptl. Good work.

Note You need to log in before you can comment on or make changes to this bug.